From a2dcbb0c496392ba9708736b1839712cd71147a4 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Fri, 14 Aug 2026 06:25:56 +0000
Subject: [PATCH] epiphany: upgrade 50.4 -> 50.6
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit

Source: NEWS

50.6 - August 13, 2026
======================

* Bugs fixed:
  - #2898 Invalid bookmark import crashes browser
  - #2921 Autofill JS Code Injection via CSS Selector
  - #2922 WebExtension XPI Path Traversal ZIPSLIP

50.5 - August 10, 2026
======================

* Bugs fixed:
  - #2712 Crash when opening preferences dialog after deleting default search
    engine
  - #2868 Addressbar URL prettification does not understand IPv6 addresses
  - #2875 Editing password username creates duplicate entries
  - #2901 Memory leak in the core string utility function ephy_string_shorten()
  - !2091 password-manager: fix crash when deleting password record
  - !2094 Quote command line input before passing to shell
  - !2098 password-manager: avoid duplicate record when changing username
  - !2099 Fix crash when opening preferences dialog after deleting a search
    engine
  - !2104 Fix crash after adding a new OpenSearch engine

* Translation updates:
  - Belarusian (Vasil Pupkin)
  - Bulgarian (twlvnn kraftwerk)
  - German (Christian Kirbach)
  - Indonesian (Andika Triwidada)
  - Lao (Saikeo Kavhanxay)
  - Norwegian Bokmål (Kjartan Maraas)
  - Persian (Danial Behzadi)
  - Polish (Victoria Niedzielska)
  - Slovak (Jose Riha)
  - Thai (Aefgh Threenine)
---
 .../epiphany/{epiphany_50.4.bb => epiphany_50.6.bb}           | 2 +-
 .../files/0002-help-meson.build-disable-the-use-of-yelp.patch | 2 +-
 meta/recipes-gnome/epiphany/files/distributor.patch           | 4 ++--
 meta/recipes-gnome/epiphany/files/migrator.patch              | 2 +-
 4 files changed, 5 insertions(+), 5 deletions(-)
 rename meta/recipes-gnome/epiphany/{epiphany_50.4.bb => epiphany_50.6.bb} (94%)

diff --git a/meta/recipes-gnome/epiphany/epiphany_50.4.bb b/meta/recipes-gnome/epiphany/epiphany_50.6.bb
similarity index 94%
rename from meta/recipes-gnome/epiphany/epiphany_50.4.bb
rename to meta/recipes-gnome/epiphany/epiphany_50.6.bb
index 2b2d08b615..ad0fad1a65 100644
--- a/meta/recipes-gnome/epiphany/epiphany_50.4.bb
+++ b/meta/recipes-gnome/epiphany/epiphany_50.6.bb
@@ -31,7 +31,7 @@ SRC_URI += "\
            file://migrator.patch \
            file://distributor.patch \
            "
-SRC_URI[archive.sha256sum] = "1e26f9901f0f08bfe943aa70163c953334c7ec3d4aefc8d354e8a9c140b334a7"
+SRC_URI[archive.sha256sum] = "458222a8694cfc914e7a2d6de9879067001a8d65e00a907d96112059c67ad446"
 
 export GI_TYPELIB_PATH = "${STAGING_LIBDIR}/girepository-1.0/"
 
diff --git a/meta/recipes-gnome/epiphany/files/0002-help-meson.build-disable-the-use-of-yelp.patch b/meta/recipes-gnome/epiphany/files/0002-help-meson.build-disable-the-use-of-yelp.patch
index 3506113945..12e9d98233 100644
--- a/meta/recipes-gnome/epiphany/files/0002-help-meson.build-disable-the-use-of-yelp.patch
+++ b/meta/recipes-gnome/epiphany/files/0002-help-meson.build-disable-the-use-of-yelp.patch
@@ -1,4 +1,4 @@
-From 00469cfc5818c776aa02546e9e5643a5cf903e8b Mon Sep 17 00:00:00 2001
+From 9e51ca47efc74fedb420e6b66436569d56623e2d Mon Sep 17 00:00:00 2001
 From: Alexander Kanavin <alex.kanavin@gmail.com>
 Date: Wed, 31 Jan 2018 15:50:38 +0200
 Subject: [PATCH] help/meson.build: disable the use of yelp
diff --git a/meta/recipes-gnome/epiphany/files/distributor.patch b/meta/recipes-gnome/epiphany/files/distributor.patch
index 4d3e13bb31..b16552bfc6 100644
--- a/meta/recipes-gnome/epiphany/files/distributor.patch
+++ b/meta/recipes-gnome/epiphany/files/distributor.patch
@@ -1,4 +1,4 @@
-From d3a99151068c9abc231cf562b2875bec83ddd1eb Mon Sep 17 00:00:00 2001
+From cc0b9a6904297387068274c802784eea740782a1 Mon Sep 17 00:00:00 2001
 From: Richard Purdie <richard.purdie@linuxfoundation.org>
 Date: Fri, 26 Feb 2021 10:17:52 +0000
 Subject: [PATCH] Don't encode the distro from /etc/os-release into the
@@ -11,7 +11,7 @@ RP 2021/2/26
  1 file changed, 1 insertion(+)
 
 diff --git a/meson.build b/meson.build
-index c7dedcb..9518ced 100644
+index c02b591..8af9fe7 100644
 --- a/meson.build
 +++ b/meson.build
 @@ -15,6 +15,7 @@ if r.returncode() == 0
diff --git a/meta/recipes-gnome/epiphany/files/migrator.patch b/meta/recipes-gnome/epiphany/files/migrator.patch
index 0aeefc6f2b..b20cc3058b 100644
--- a/meta/recipes-gnome/epiphany/files/migrator.patch
+++ b/meta/recipes-gnome/epiphany/files/migrator.patch
@@ -1,4 +1,4 @@
-From 435d89fd265c334fc4b64a315d6d2732853c4463 Mon Sep 17 00:00:00 2001
+From 12ead2afbdab96eeb6bac820c39c1e951a047c8b Mon Sep 17 00:00:00 2001
 From: Richard Purdie <richard.purdie@linuxfoundation.org>
 Date: Thu, 25 Feb 2021 14:52:32 +0000
 Subject: [PATCH] epiphany: Fix reproducibility issue
-- 
2.47.1

